Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.support
Class GenericSubflowAttributeMapper

    java.lang.Object
      org.springframework.webflow.engine.support.GenericSubflowAttributeMapper

All Implemented Interfaces:
  java.io.Serializable, SubflowAttributeMapper

    public final class GenericSubflowAttributeMapper

extends java.lang.Object
implements SubflowAttributeMapper, java.io.Serializable

Simple flow attribute mapper that holds an input and output mapper strategy.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`GenericSubflowAttributeMapper(Mapper inputMapper, Mapper outputMapper)` Create a new flow attribute mapper using given mapping strategies.

Method Summary
`MutableAttributeMap` | `createSubflowInput(RequestContext context)` Create a map of attributes that should be passed as input to a subflow.
`void` | `mapSubflowOutput(AttributeMap output, RequestContext context)` Map output attributes of an ended subflow flow to the resuming parent flow.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericSubflowAttributeMapper

    public GenericSubflowAttributeMapper(Mapper inputMapper,
                                         Mapper outputMapper)

  Create a new flow attribute mapper using given mapping strategies.

  Parameters:
    `inputMapper` - the input mapping strategy
    `outputMapper` - the output mapping strategy

Method Detail

### createSubflowInput

    public MutableAttributeMap createSubflowInput(RequestContext context)

  Description copied from interface: `SubflowAttributeMapper`
  Create a map of attributes that should be passed as input to a subflow.

  Specified by:
    `createSubflowInput` in interface `SubflowAttributeMapper`
  Parameters:
    `context` - the current request execution context
  Returns:
    a map of attributes to pass as input

### mapSubflowOutput

    public void mapSubflowOutput(AttributeMap output,
                                 RequestContext context)

  Description copied from interface: `SubflowAttributeMapper`
  Map output attributes of an ended subflow flow to the resuming parent flow.

  Specified by:
    `mapSubflowOutput` in interface `SubflowAttributeMapper`
  Parameters:
    `output` - the output attributes returned by the ended subflow
    `context` - the current request execution context, which gives access to the parent flow scope

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD